package a3test.a3objects;

import jp.sourceforge.acerola3d.a3.*;

public class A3Text3DTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        w.setNavigationMode(A3CanvasInterface.NaviMode.EXAMINE);
        A3Text3D t = new A3Text3D("日本語");
        //A3Text3D t = new A3Text3D("日本語","青柳衡山フォント行書");
        t.setScale(0.2);
        w.add(t);

        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setString("新しい文字列y");

        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setAlign(A3Text3D.RIGHT);
        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setAlign(A3Text3D.LEFT);
        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setAlign(A3Text3D.CENTER);

        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setTextColor(new javax.vecmath.Color3f(1.0f,0.0f,0.0f));

        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setBoardColor(new javax.vecmath.Color3f(0.0f,1.0f,0.0f));

        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setBoardVisible(false);
        try{Thread.sleep(3000);}catch(Exception e){;}
        t.setBoardVisible(true);
    }
}
